Get a payment your organization posted
curl --request GET \
--url https://api.montereyfinancial.app/v1/payments/{payment_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.montereyfinancial.app/v1/payments/{payment_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.montereyfinancial.app/v1/payments/{payment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment_id": "<string>",
"account_id": "<string>",
"amount_cents": 123,
"payment_method": "<string>",
"check_number": 123,
"status": "<string>",
"effective_date": "2023-12-25",
"external_reference": "<string>",
"memo": "<string>",
"reference_number": 123,
"posted_at": "2023-11-07T05:31:56Z",
"reversal": {
"reversed_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"is_nsf": true,
"reference_number": 123,
"reversed_by": "<string>"
}
}{
"detail": {
"error_code": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}External Payments
Get a payment your organization posted
Returns 404 for payments posted by other organizations.
GET
/
v1
/
payments
/
{payment_id}
Get a payment your organization posted
Authorizations
Short-lived access token minted by POST /v1/oauth/token.
Path Parameters
Response
Successful Response
A payment an organization posted to one of its accounts.
Monterey payment ID.
The account the payment was posted to.
Payment amount, in integer cents.
How the payment was collected.
Check number, when applicable.
pending, posted, pending_confirmation, reversal_pending, reversed or failed.
Date the payment applies.
Your own reference.
Free-text note.
Reference number of the posted payment.
When it was posted.
Reversal details; null unless the payment was reversed.
Show child attributes
Show child attributes